#include "opencv2/objdetect/objdetect.hpp"
#include "opencv2/highgui/highgui.hpp"
#include "opencv2/imgproc/imgproc.hpp"

#include <iostream>
#include <stdio.h>

using namespace std;
using namespace cv;


String cascadeName = "haarcascade_frontalface_alt.xml";

int main( int argc, const char** argv ) {
    CvCapture* capture = 0;
    CascadeClassifier cascade;

    String inputName;
    inputName.assign( argv[1] );

    if ( !cascade.load( cascadeName ) ) {
        cerr << "Could not load cascade." << endl;
        return -1;
    }

    Mat image = imread( inputName, 1 );
    Mat gray;

    cvtColor( image, image, CV_BGR2GRAY );
    equalizeHist( image, image );

    vector<Rect> faces;
    vector<int> levels;
    vector<double> weights;

    cascade.detectMultiScale( image, faces, levels, weights, 1.1,
        3, CV_HAAR_SCALE_IMAGE, Size(30,30), Size(0,0), true);

    vector<double>::const_iterator w = weights.begin();
    vector<int>::const_iterator l = levels.begin();
    vector<Rect>::const_iterator r = faces.begin();

    for( ; r != faces.end(); r++, w++, l++ ) {
    	int x1 = r->x, y1 = r->y;
    	int x2 = x1 + r->width-1, y2 = y1 + r->height - 1;

    	cout << x1 << " " << y1 << " " << x2 << " " << y2;
        cout << " " << (*w) << " " << (*l);
        cout << endl;
    }

    return 0;
}

